- name: Add device into pool
  hosts: "{{ rps_group | default('localhost') }}"
  gather_facts: false

  tasks:
    - name: Set provider Lab
      ansible.builtin.set_fact:
        provider:
          host: "{{ inventory_hostname }}"
          port: "8090"
          user: "{{ rps_lab_username }}"
          password: "{{ rps_lab_pwd }}"
      when: "inventory_hostname is search(\"ps-lab\")"

    - name: Set provider Prod
      ansible.builtin.set_fact:
        provider:
          host: "{{ inventory_hostname }}-mgt"
          port: "8090"
          user: "{{ rps_username }}"
          password: "{{ rps_pwd }}"
      when: "inventory_hostname is not search(\"ps-lab\")"

    - name: Add device in Pool
      sgos.sgos_command.sgos_command:
        provider: "{{ provider }}"
        cmd: |
          health-check
          disable healthy user.HC-GLOBAL
      register: sgos_cmd
      delegate_to: "{{ delegate_host }}"

    - name: Look for device in Pool
      sgos.sgos_command.sgos_command:
        provider: "{{ provider }}"
        cmd: |
          health-check
          view quick-statistics
      register: sgos_cmd
      delegate_to: "{{ delegate_host }}"

    - name: Check for device in Pool
      ansible.builtin.set_fact:
        pool: "{{ sgos_cmd.original_message | regex_search('user.HC-GLOBAL.*') }}"
      delegate_to: "{{ delegate_host }}"

    - name: Message for device in Pool
      ansible.builtin.debug:
        msg: "Device {{ inventory_hostname }} came back to the pool"
      when: pool is search("UP")
      delegate_to: "{{ delegate_host }}"

    - name: Message for device not in Pool
      ansible.builtin.debug:
        msg: "Device {{ inventory_hostname }} is not came back to the pool"
      when: pool is search("DOWN")
      delegate_to: "{{ delegate_host }}"
